Bug 835804 - Review Request: perl-Module-Install-ReadmeMarkdownFromPod - Create README.mkdn from POD
Review Request: perl-Module-Install-ReadmeMarkdownFromPod - Create README.mkd...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 835062 835544
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 03:21 EDT by Jitka Plesnikova
Modified: 2012-12-11 13:27 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 07:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-06-27 03:21:52 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Module-Install-ReadmeMarkdownFromPod/perl-Module-Install-ReadmeMarkdownFromPod.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Module-Install-ReadmeMarkdownFromPod/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc18.src.rpm

Description: 
Module::Install::ReadmeMarkdownFromPod is a Module::Install extension that
generates a README.mkdn file automatically from an indicated file
containing POD whenever the author runs Makefile.PL. This file is used by
GitHub to display nicely formatted information about a repository.

Fedora Account System Username: jplesnik
Comment 1 Petr Pisar 2012-09-13 07:12:27 EDT
Source file is original (verified from <http://search.cpan.org/CPAN/authors/id/M/MA/MARCEL/Module-Install-ReadmeMarkdownFromPod-0.03.tar.gz>, SHA-256: f24fdef2feaedda2dbc64582612a0cd76acd471ba6e8e78c08d98eef92969179). Ok.
Source0 and URL are usable Ok.
Summary verified from lib/Module/Install/ReadmeMarkdownFromPod.pm. Ok.
Description verified from lib/Module/Install/ReadmeMarkdownFromPod.pm. Ok.
License verified from lib/Module/Install/ReadmeMarkdownFromPod.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

TODO: You can remove pruning empty directories from %install section.

TODO: Do not build-require modules bundled in ./inc or remove them from the directory.

FIX: Specify ./inc dependencies or unbundle the modules (e.g. `perl(Cwd)' at inc/Module/Install.pm:123:use).

Module::Install::ReadmeFromPod is recommended. Ok.

All tests pass. Ok.

$ rpmlint perl-Module-Install-ReadmeMarkdownFromPod.spec ../SRPMS/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.src.rpm ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm 
perl-Module-Install-ReadmeMarkdownFromPod.noarch: W: file-not-utf8 /usr/share/doc/perl-Module-Install-ReadmeMarkdownFromPod-0.03/README
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

FIX: Recode README to UTF-8.

$ rpm -q -lv -p ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 13 12:59 /usr/share/doc/perl-Module-Install-ReadmeMarkdownFromPod-0.03
-rw-r--r--    1 root    root                      501 Oct 20  2009 /usr/share/doc/perl-Module-Install-ReadmeMarkdownFromPod-0.03/Changes
-rw-r--r--    1 root    root                     3670 Oct 20  2009 /usr/share/doc/perl-Module-Install-ReadmeMarkdownFromPod-0.03/README
-rw-r--r--    1 root    root                     3358 Sep 13 12:59 /usr/share/man/man3/Module::Install::ReadmeMarkdownFromPod.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 13 12:59 /usr/share/perl5/vendor_perl/Module
drwxr-xr-x    2 root    root                        0 Sep 13 12:59 /usr/share/perl5/vendor_perl/Module/Install
-rw-r--r--    1 root    root                     5284 Oct 20  2009 /usr/share/perl5/vendor_perl/Module/Install/ReadmeMarkdownFromPod.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.006
      1 perl(base)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(Module::Install)
      1 perl(Module::Install::Base)
      1 perl(Module::Install::ReadmeFromPod)
      1 perl(Pod::Markdown)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Module::Install::ReadmeMarkdownFromPod) = 0.03
      1 perl-Module-Install-ReadmeMarkdownFromPod = 0.03-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm 
Unresolved dependency: perl(Module::Install::ReadmeFromPod)
This is in build root now.
Binary dependencies are Ok.

FIX: Package does not build in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4480373):
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
Can't locate CPAN.pm in @INC (@INC contains: inc /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at inc/Module/AutoInstall.pm line 277.


Please correct all `FIX' issues, consider fixing `TODO' items and provide new spec file.

Resolution: Package NOT approved.
Comment 3 Petr Pisar 2012-09-13 11:19:04 EDT
Spec file changes:
--- perl-Module-Install-ReadmeMarkdownFromPod.spec.old  2012-06-27 09:18:38.000000000 +0200
+++ perl-Module-Install-ReadmeMarkdownFromPod.spec      2012-09-13 16:52:23.000000000 +0200
@@ -9,12 +9,20 @@
 BuildArch:      noarch
 BuildRequires:  perl >= 1:5.6.0
 # XXX: We cannot remove ./inc because it build-requires this module
-BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(base)
-BuildRequires:  perl(Module::Install::Base)
-BuildRequires:  perl(Module::Install::ReadmeFromPod)
-BuildRequires:  perl(Pod::Markdown)
-BuildRequires:  perl(Test::More) >= 0.70
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(CPAN) >= 1.89
+BuildRequires:  perl(Cwd)
+BuildRequires:  perl(ExtUtils::Command)
+BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(ExtUtils::Manifest)
+BuildRequires:  perl(File::Path)
+BuildRequires:  perl(File::Spec)
+BuildRequires:  perl(Pod::Parser)
+BuildRequires:  perl(Pod::Text)
+BuildRequires:  perl(Test::Builder::Module)
+BuildRequires:  perl(Test::Harness)
+BuildRequires:  perl(URI::Escape)
 Requires:       perl(Module::Install)
 Requires:       perl(Module::Install::ReadmeFromPod)
 Requires:       perl(Pod::Markdown)
@@ -29,16 +37,17 @@
 %prep
 %setup -q -n Module-Install-ReadmeMarkdownFromPod-%{version}

+# README is ISO-8859-1 encoded
+iconv -f iso-8859-1 -t utf8 < README > README.utf8
+mv README.utf8 README
+
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}

 %install
 make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
-
 find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
-find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
-
 %{_fixperms} $RPM_BUILD_ROOT/*

 %check


> TODO: You can remove pruning empty directories from %install section.
 %install
 make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
-
 find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
-find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
-
 %{_fixperms} $RPM_BUILD_ROOT/*
Ok.

> TODO: Do not build-require modules bundled in ./inc or remove them from the
> directory.
> FIX: Specify ./inc dependencies or unbundle the modules (e.g. `perl(Cwd)' at inc/Module/Install.pm:123:use).
-BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(base)
-BuildRequires:  perl(Module::Install::Base)
-BuildRequires:  perl(Module::Install::ReadmeFromPod)
-BuildRequires:  perl(Pod::Markdown)
-BuildRequires:  perl(Test::More) >= 0.70
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(CPAN) >= 1.89
+BuildRequires:  perl(Cwd)
+BuildRequires:  perl(ExtUtils::Command)
+BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(ExtUtils::Manifest)
+BuildRequires:  perl(File::Path)
+BuildRequires:  perl(File::Spec)
+BuildRequires:  perl(Pod::Parser)
+BuildRequires:  perl(Pod::Text)
+BuildRequires:  perl(Test::Builder::Module)
+BuildRequires:  perl(Test::Harness)
+BuildRequires:  perl(URI::Escape)
Ok.

> FIX: Recode README to UTF-8.
$ rpmlint perl-Module-Install-ReadmeMarkdownFromPod.spec ../SRPMS/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.src.rpm ../RPMS/noarch/perl-Module-Install-ReadmeMarkdownFromPod-0.03-1.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4481355). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Resolution: Package APPROVED.
Comment 4 Jitka Plesnikova 2012-09-14 03:17:41 EDT
New Package SCM Request
=======================
Package Name: perl-Module-Install-ReadmeMarkdownFromPod
Short Description: Create README.mkdn from POD
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-09-14 07:00:48 EDT
Git done (by process-git-requests).
Comment 6 Jitka Plesnikova 2012-09-14 07:39:03 EDT
Thank you for the review and the repository.
Comment 7 Tom "spot" Callaway 2012-12-11 13:18:26 EST
Package Change Request
======================
Package Name: perl-Module-Install-ReadmeMarkdownFromPod
New Branches: f16 f17 f18
Owners: jplesnik mmaslano ppisar psabata
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2012-12-11 13:27:22 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.